Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Toggle a workflow’s enabled/disabled state.
cURL
curl --request PATCH \ --url https://api.example.com/api/v1/workflows/{workflow_id}/toggle
import requestsurl = "https://api.example.com/api/v1/workflows/{workflow_id}/toggle"response = requests.patch(url)print(response.text)
const options = {method: 'PATCH'};fetch('https://api.example.com/api/v1/workflows/{workflow_id}/toggle', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.example.com/api/v1/workflows/{workflow_id}/toggle", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "PATCH",]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
package mainimport ( "fmt" "net/http" "io")func main() { url := "https://api.example.com/api/v1/workflows/{workflow_id}/toggle" req, _ := http.NewRequest("PATCH", url, nil) res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body))}
HttpResponse<String> response = Unirest.patch("https://api.example.com/api/v1/workflows/{workflow_id}/toggle") .asString();
require 'uri'require 'net/http'url = URI("https://api.example.com/api/v1/workflows/{workflow_id}/toggle")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Patch.new(url)response = http.request(request)puts response.read_body
{ "id": "<string>", "account_id": "<string>", "name": "<string>", "description": "<string>", "trigger_type": "<string>", "trigger_config": {}, "steps": [ {} ], "enabled": true, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "created_by": "<string>" }
{ "detail": [ { "loc": [ "<string>" ], "msg": "<string>", "type": "<string>" } ]}
Successful Response